# defaultAirflowRepository: apache/airflow
# defaultAirflowTag: "2.10.5"

ingress:
  web:
    enabled: true
    annotations:
      cert-manager.io/issuer: "root-ca-issuer"
      kubernetes.io/ingress.class: kong
      konghq.com/protocols: https
      konghq.com/https-redirect-status-code: "301"
    hosts:
    - name: "airflow.example.org"
      tls:
        enabled: true
        secretName: "airflow-tls"

executor: "KubernetesExecutor"

# airflow.cfg 설정
config:
  core:
    executor: KubernetesExecutor
    default_timezone: kst
  logging:
    colored_console_log: 'False'
    logging_level: "INFO"
  webserver:
    enable_proxy_fix: 'True'
    rbac: 'True'
    default_ui_timezone: kst


scheduler:
  replicas: 1

dags:
  persistence:
    enabled: true
    size: 5Gi
    storageClassName: longhorn
    accessMode: ReadWriteMany
  gitSync:
    enabled: true
    repo: http://gitea-http.platform.svc.cluster.local:3000/dip/airflow-dags.git
    branch: master
    rev: HEAD
    depth: 1
    subPath: ""
    credentialsSecret: git-credentials
    env:
    - name: GIT_SSL_NO_VERIFY
      value: "true"
      

extraSecrets:
  git-credentials:
    data: |
      GIT_SYNC_USERNAME: c3Vkb3VzZXI=
      GIT_SYNC_PASSWORD: UGFhc2FkbTEyMzQh
      GITSYNC_USERNAME: c3Vkb3VzZXI=
      GITSYNC_PASSWORD: UGFhc2FkbTEyMzQh

webserver:
  defaultUser:
    enabled: true
    password: password
  livenessProbe:
    initialDelaySeconds: 120
  readinessProbe:
    initialDelaySeconds: 120
  startupProbe:
    initialDelaySeconds: 30

logs:
  persistence:
    enabled: true
    size: 5Gi
    storageClassName: longhorn

statsd:
  enabled: false
  
postgresql:
  enabled: true
  auth:
    enablePostgresUser: true
    postgresPassword: postgres
  primary:
    persistence:
      enabled: true
      size: 8Gi                 # airflow에서 사용하는 DB의 볼륨 사이즈 설정
      storageClass: ""